Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package typechecker
  Definition Classes
    nsc
-  abstract class RefChecks extends SubComponent with Transform

  Post-attribution checking and transformation.

  Post-attribution checking and transformation.

  This phase performs the following checks.

  - All overrides conform to rules.
  - All type arguments conform to bounds.
  - All type variable uses conform to variance annotations.
  - No forward reference to a term symbol extends beyond a value definition.

  It performs the following transformations.

  - Local modules are replaced by variables and classes
  - Calls to case factory methods are replaced by new's.
  - Eliminate branches in a conditional if the condition is a constant
  Definition Classes
    typechecker
  Version

    1.0

  To do

    Check whether we always check type parameter bounds.

-  class RefCheckTransformer extends Global.Transformer
  Definition Classes
    RefChecks
- LevelInfo
- normalizeAll
- varianceValidator

c

scala.tools.nsc.typechecker.RefChecks.RefCheckTransformer

# LevelInfo 

###

#### class LevelInfo extends AnyRef

Source
  RefChecks.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. LevelInfo
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new LevelInfo(outer: LevelInfo)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from LevelInfo to any2stringadd[LevelInfo] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (LevelInfo, B)
   Implicit
     This member is added by an implicit conversion from LevelInfo to ArrowAssoc[LevelInfo] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  def ensuring(cond: (LevelInfo) ⇒ Boolean, msg: ⇒ Any): LevelInfo
   Implicit
     This member is added by an implicit conversion from LevelInfo to Ensuring[LevelInfo] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (LevelInfo) ⇒ Boolean): LevelInfo
   Implicit
     This member is added by an implicit conversion from LevelInfo to Ensuring[LevelInfo] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: ⇒ Any): LevelInfo
    Implicit
      This member is added by an implicit conversion from LevelInfo to Ensuring[LevelInfo] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): LevelInfo
    Implicit
      This member is added by an implicit conversion from LevelInfo to Ensuring[LevelInfo] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from LevelInfo to StringFormat[LevelInfo] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  var maxindex: Int
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
23.  val outer: LevelInfo
24.  var refpos: Global.Position
25.  var refsym: Global.Symbol
26.  val scope: Global.Scope
27.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
28.  def toString(): String
    Definition Classes
      AnyRef → Any
29.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
30.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
31.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
32.  def →[B](y: B): (LevelInfo, B)
    Implicit
      This member is added by an implicit conversion from LevelInfo to ArrowAssoc[LevelInfo] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from LevelInfo to any2stringadd[LevelInfo]

### Inherited by implicit conversion StringFormat from LevelInfo to StringFormat[LevelInfo]

### Inherited by implicit conversion Ensuring from LevelInfo to Ensuring[LevelInfo]

### Inherited by implicit conversion ArrowAssoc from LevelInfo to ArrowAssoc[LevelInfo]

### Ungrouped